import * as mc from "@minecraft/server"

mc.world.events.projectileHit.subscribe(data => {
    const hitter = data.source
    const victim = data.entityHit.entity
    const projectile = data.projectile
    if (data.projectile.typeId == "minecraft:snowball" && hitter.hasTag("alive") && victim.typeId == "minecraft:player" && victim.hasTag("victim")) {
        hitter.runCommandAsync("scoreboard players remove victim main 1")
        hitter.runCommandAsync("scoreboard players add @s xp 5")
        mc.world.say(`§6${hitter.nameTag} §cgot ${victim.nameTag}`)
        hitter.runCommandAsync("playsound note.pling @p")
        victim.runCommandAsync("playsound note.bass @p")
        victim.runCommandAsync("particle minecraft:huge_explosion_emitter ~ ~1 ~")
        victim.runCommandAsync(`tp ${victim.nameTag} @r[c=1,name=teleport,type=armor_stand]`)
    }
    if (victim.typeId == "minecraft:zombie" && data.projectile.typeId == "minecraft:snowball") {
        hitter.runCommand("scoreboard players add @s xp 1")
        victim.runCommand("kill @s")
    }
    if (victim.typeId == "minecraft:skeleton" && data.projectile.typeId == "minecraft:snowball") {
        hitter.runCommand("scoreboard players add @s xp 2")
        victim.runCommand("kill @s")
    }
    if (victim.typeId == "minecraft:creeper" && data.projectile.typeId == "minecraft:snowball") {
        hitter.runCommand("scoreboard players add @s xp 3")
        victim.runCommand("kill @s")
    }
})